Package org.apache.sysds.runtime.lineage

# Class LineageCacheConfig

java.lang.Object
org.apache.sysds.runtime.lineage.LineageCacheConfig

public class LineageCacheConfig extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`LineageCacheConfig.LineageCachePolicy`
`static enum`
`LineageCacheConfig.ReuseCacheType`

## Field Summary

Fields
Modifier and Type
Field
Description
`static double`
`D2HCOPYBANDWIDTH`
`static double`
`D2HMAXBANDWIDTH`
`static double`
`FSREAD_DENSE`
`static double`
`FSREAD_SPARSE`
`static double`
`FSWRITE_DENSE`
`static double`
`FSWRITE_SPARSE`
`static boolean`
`GPU2HOSTEVICTION`
`static final double`
`MIN_SPILL_DATA`
`static final double`
`MIN_SPILL_TIME_ESTIMATE`

## Constructor Summary

Constructors
Constructor
Description
`LineageCacheConfig()`

## Method Summary

Modifier and Type
Method
Description
`static LineageCacheConfig.LineageCachePolicy`
`getCachePolicy()`
`static LineageCacheConfig.ReuseCacheType`
`getCacheType()`
`static boolean`
`getCompAssRW()`
`static String[]`
`getReusableOpcodes()`
`static boolean`
`isCostNsize()`
`static boolean`
`isDagHeightBased()`
`static boolean`
`isDelayedCaching()`
`static boolean`
`isDelayedCachingGPU()`
`static boolean`
`isDelayedCachingRDD()`
`static boolean`
`isEstimator()`
`static boolean`
`isLineageTraceReuse()`
`static boolean`
`isMultiBackendReuse()`
`static boolean`
`isMultiLevelReuse()`
`static boolean`
`isOutputFederated(Instruction inst, Data data)`
`static boolean`
`isReusable(Instruction inst, ExecutionContext ec)`
`static boolean`
`isSetSpill()`
`static boolean`
`isTimeBased()`
`static void`
`resetReusableOpcodes()`
`static void`
`restartReuse(LineageCacheConfig.ReuseCacheType rop)`
`static void`
`setCachePolicy(LineageCacheConfig.LineageCachePolicy policy)`
`static void`
`setCompAssRW(boolean comp)`
`static void`
`setConfig(LineageCacheConfig.ReuseCacheType ct)`
`static void`
`setConfig(LineageCacheConfig.ReuseCacheType ct, org.apache.sysds.runtime.lineage.LineageCacheConfig.CachedItemHead ith, org.apache.sysds.runtime.lineage.LineageCacheConfig.CachedItemTail itt)`
`static void`
`setConfigTsmmCbind(LineageCacheConfig.ReuseCacheType ct)`
`static void`
`setEstimator(boolean onlyEstimator)`
`static void`
`setReusableOpcodes(String... ops)`
`static void`
`setReuseLineageTraces(boolean reuseTrace)`
`static void`
`shutdownReuse()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MIN_SPILL_TIME_ESTIMATE

public static final double MIN_SPILL_TIME_ESTIMATE

See Also:
  - Constant Field Values

### MIN_SPILL_DATA

public static final double MIN_SPILL_DATA

See Also:
  - Constant Field Values

### FSREAD_DENSE

public static double FSREAD_DENSE

### FSREAD_SPARSE

public static double FSREAD_SPARSE

### FSWRITE_DENSE

public static double FSWRITE_DENSE

### FSWRITE_SPARSE

public static double FSWRITE_SPARSE

### D2HCOPYBANDWIDTH

public static double D2HCOPYBANDWIDTH

### D2HMAXBANDWIDTH

public static double D2HMAXBANDWIDTH

### GPU2HOSTEVICTION

public static boolean GPU2HOSTEVICTION

## Constructor Details

### LineageCacheConfig

public LineageCacheConfig()

## Method Details

### setReusableOpcodes

public static void setReusableOpcodes(String... ops)

### getReusableOpcodes

public static String[] getReusableOpcodes()

### resetReusableOpcodes

public static void resetReusableOpcodes()

### isReusable

public static boolean isReusable(Instruction inst, ExecutionContext ec)

### isOutputFederated

public static boolean isOutputFederated(Instruction inst, Data data)

### setConfigTsmmCbind

public static void setConfigTsmmCbind(LineageCacheConfig.ReuseCacheType ct)

### setConfig

public static void setConfig(LineageCacheConfig.ReuseCacheType ct)

### setConfig

public static void setConfig(LineageCacheConfig.ReuseCacheType ct, org.apache.sysds.runtime.lineage.LineageCacheConfig.CachedItemHead ith, org.apache.sysds.runtime.lineage.LineageCacheConfig.CachedItemTail itt)

### setCompAssRW

public static void setCompAssRW(boolean comp)

### shutdownReuse

public static void shutdownReuse()

### restartReuse

public static void restartReuse(LineageCacheConfig.ReuseCacheType rop)

### getCacheType

public static LineageCacheConfig.ReuseCacheType getCacheType()

### isMultiLevelReuse

public static boolean isMultiLevelReuse()

### getCompAssRW

public static boolean getCompAssRW()

### setReuseLineageTraces

public static void setReuseLineageTraces(boolean reuseTrace)

### isLineageTraceReuse

public static boolean isLineageTraceReuse()

### isMultiBackendReuse

public static boolean isMultiBackendReuse()

### isDelayedCaching

public static boolean isDelayedCaching()

### isDelayedCachingGPU

public static boolean isDelayedCachingGPU()

### isDelayedCachingRDD

public static boolean isDelayedCachingRDD()

### setCachePolicy

public static void setCachePolicy(LineageCacheConfig.LineageCachePolicy policy)

### getCachePolicy

public static LineageCacheConfig.LineageCachePolicy getCachePolicy()

### setEstimator

public static void setEstimator(boolean onlyEstimator)

### isEstimator

public static boolean isEstimator()

### isTimeBased

public static boolean isTimeBased()

### isCostNsize

public static boolean isCostNsize()

### isDagHeightBased

public static boolean isDagHeightBased()

### isSetSpill

public static boolean isSetSpill()